Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] ABI stabilization/versioning
From: Dave Love (d.love_at_[hidden])
Date: 2010-01-25 07:11:58


What's the status of (stabilizing and?) versioning libraries? If I
recall correctly, it was supposed to be defined as fixed for some
release period as of 1.3.something.

I assumed that the libraries would then be versioned (at least for ELF
-- I don't know about other formats) and we could remove a major source
of grief from dynamically linking against the wrong thing, and I think
Jeff said that would happen. However, the current sources don't seem to
be trying to set libtool version info, though I'm not sure what
determines them producing .so.0.0.1 instead of .0.0.0 in other binaries
I have. This doesn't seem to have been addressed in the Debian or
Fedora packaging, either

Is that just an oversight or something dropped, so it could be fixed
(modulo historical mess) if someone did the work? It isn't covered
under http://www.open-mpi.org/software/ompi/versions/ or as far as I can
tell in the FAQ, and seems important (like plenty of other things, I'm
sure!), given how much of a problem it's been for users and admins doing
updates.